%define pypi_name	hyperframe

Name:		python-%{pypi_name}
Version:	6.1.0
Release:	%mkrel 1
Summary:	HTTP/2 framing layer for Python
Group:		Development/Python
License:	MIT
URL:		https://hyper.rtfd.org/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)

%description
This library contains the HTTP/2 framing code used in the hyper project.
It provides a pure-Python codebase that is capable of decoding a binary
stream into HTTP/2 frames.

This library is used directly by hyper and a number of other projects
to provide HTTP/2 frame decoding logic.

%package -n	python3-%{pypi_name}
Summary:	HTTP/2 framing layer for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
This library contains the HTTP/2 framing code used in the hyper project.
It provides a pure-Python codebase that is capable of decoding a binary
stream into HTTP/2 frames.

This library is used directly by hyper and a number of other projects
to provide HTTP/2 frame decoding logic.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CONTRIBUTORS* README*


%changelog
* Thu Feb 06 2025 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2145765
- new version: 6.1.0

* Tue Dec 12 2023 papoteur <papoteur> 6.0.1-5.mga10
+ Revision: 2017568
- rebuild for python 3.12

* Sun Dec 10 2023 wally <wally> 6.0.1-4.mga10
+ Revision: 2016843
- another rebuild for py3.12

* Sun Dec 10 2023 wally <wally> 6.0.1-3.mga10
+ Revision: 2016839
- rebuild for py3.12
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 6.0.1-3.mga9
+ Revision: 1823668
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 6.0.1-2.mga9
+ Revision: 1784360
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 6.0.1-1.mga9
+ Revision: 1716445
- new version: 6.0.1

* Mon Mar 22 2021 daviddavid <daviddavid> 6.0.0-2.mga9
+ Revision: 1707444
- rebuild for python 3.9

* Mon Nov 02 2020 kekepower <kekepower> 6.0.0-1.mga8
+ Revision: 1641599
- Update to version 6.0.0

* Sun Feb 16 2020 umeabot <umeabot> 5.2.0-3.mga8
+ Revision: 1531934
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 5.2.0-2.mga8
+ Revision: 1441377
- rebuild for python3.8
- drop python2 support

* Sat Mar 02 2019 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1371095
- new version: 5.2.0

* Tue Jan 08 2019 tv <tv> 5.1.0-3.mga7
+ Revision: 1351686
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1288956
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1169140
- new version: 5.1.0
- rename python-hyperframe to python2-hyperframe

* Sat Aug 05 2017 pterjan <pterjan> 4.0.1-2.mga7
+ Revision: 1135453
- Rebuild for python 3.6

* Fri Dec 02 2016 daviddavid <daviddavid> 4.0.1-1.mga6
+ Revision: 1071762
- new version: 4.0.1

* Thu Feb 04 2016 daviddavid <daviddavid> 3.2.0-1.mga6
+ Revision: 935055
- initial package python-hyperframe

